# Get an asynchronous transcription

```
GET 
/transcribe-async/:id
```

Poll the status —and results if successful— of an asynchronous transcription.

## Request[​](#request "Direct link to Request")

### Path Parameters

* **id**
  <!-- -->
  string\<uuid>required

  The id of the asynchronous request.

  **Example:<!-- -->&#x20;**`23A9981B-9E46-4ADB-BB0B-8E406C624540`

## Responses[​](#responses "Direct link to Responses")

* 200

The asynchronous transcription details.

* application/json

- Schema
- Example (from schema)

**Schema**

* oneOf

  * async\_request\_ongoing
  * async\_request\_failed
  * async\_transcription\_succeeded

  **id**uuidrequired

  The id of the asynchronous request.

  **Example:<!-- -->&#x20;**`98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6`

  **client\_request\_id**copilot\_client\_request\_id (string)

  An optional unique client-made id for this request. When specified, this id is included in the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.

  *Note*: this id must be different for every request. It is recommended to use a randomly generated UUID.

  **Possible values:** `<= 128 characters`

  **status**async\_request\_status (string)required

  **Possible values:** \[`ongoing`, `failed`, `succeeded`]

  **id**uuidrequired

  The id of the asynchronous request.

  **Example:<!-- -->&#x20;**`98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6`

  **client\_request\_id**copilot\_client\_request\_id (string)

  An optional unique client-made id for this request. When specified, this id is included in the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.

  *Note*: this id must be different for every request. It is recommended to use a randomly generated UUID.

  **Possible values:** `<= 128 characters`

  **status**async\_request\_status (string)required

  **Possible values:** \[`ongoing`, `failed`, `succeeded`]

  ******payload**objectrequired

  **error\_code**integerrequired

  **Example:<!-- -->&#x20;**`422`

  **error\_message**string

  **Example:<!-- -->&#x20;**`We can't generate the note when the transcript is too short.`

  **id**uuidrequired

  The id of the asynchronous request.

  **Example:<!-- -->&#x20;**`98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6`

  **client\_request\_id**copilot\_client\_request\_id (string)

  An optional unique client-made id for this request. When specified, this id is included in the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.

  *Note*: this id must be different for every request. It is recommended to use a randomly generated UUID.

  **Possible values:** `<= 128 characters`

  **status**async\_request\_status (string)required

  **Possible values:** \[`ongoing`, `failed`, `succeeded`]

  ******payload**object

  The generated transcript.

  ******transcript**object\[]required

  Array \[

* **text**stringrequired

  The transcribed text.

  **Example:<!-- -->&#x20;**`Also, I’m allergic to peanuts.`

  **speaker**copilot\_speaker (string)required

  Who said the text in this transcript item.

  **Possible values:** \[`doctor`, `patient`, `unspecified`]

  **Example:<!-- -->&#x20;**`doctor`

  **start\_offset\_ms**integerrequired

  Start time of this transcription item as the offset, in milliseconds, from the start of the audio file.

  **Example:<!-- -->&#x20;**`65100`

  **end\_offset\_ms**integerrequired

  End time of this transcription item as the offset, in milliseconds, from the start of the audio file. Equals the `start_time_ms` plus the duration of the related transcribed audio portion.

  **Example:<!-- -->&#x20;**`69300`

  ]

```
{}
```

## Operation spec

```json
{
  "method": "get",
  "path": "/transcribe-async/{id}",
  "operationId": "get-transcribe-async",
  "parameters": [
    {
      "name": "id",
      "description": "The id of the asynchronous request.",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "format": "uuid",
        "description": "A unique identifier.",
        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
        "title": "uuid"
      },
      "example": "23A9981B-9E46-4ADB-BB0B-8E406C624540"
    }
  ],
  "responses": {
    "200": {
      "description": "The asynchronous transcription details.",
      "content": {
        "application/json": {
          "schema": {
            "oneOf": [
              {
                "type": "object",
                "required": [
                  "id",
                  "status"
                ],
                "title": "async_request_ongoing"
              },
              {
                "type": "object",
                "required": [
                  "id",
                  "status",
                  "payload"
                ],
                "title": "async_request_failed"
              },
              {
                "type": "object",
                "required": [
                  "id",
                  "status"
                ],
                "title": "async_transcription_succeeded"
              }
            ],
            "discriminator": {
              "propertyName": "status",
              "mapping": {
                "ongoing": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The id of the asynchronous request.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "client_request_id": {
                      "type": "string",
                      "maxLength": 128,
                      "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                      "title": "copilot_client_request_id"
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "ongoing",
                        "failed",
                        "succeeded"
                      ],
                      "title": "async_request_status"
                    }
                  },
                  "required": [
                    "id",
                    "status"
                  ],
                  "title": "async_request_ongoing"
                },
                "failed": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The id of the asynchronous request.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "client_request_id": {
                      "type": "string",
                      "maxLength": 128,
                      "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                      "title": "copilot_client_request_id"
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "ongoing",
                        "failed",
                        "succeeded"
                      ],
                      "title": "async_request_status"
                    },
                    "payload": {
                      "type": "object",
                      "properties": {
                        "error_code": {
                          "type": "integer",
                          "example": 422
                        },
                        "error_message": {
                          "type": "string",
                          "example": "We can't generate the note when the transcript is too short."
                        }
                      },
                      "required": [
                        "error_code"
                      ],
                      "title": "async_request_failed_payload"
                    }
                  },
                  "required": [
                    "id",
                    "status",
                    "payload"
                  ],
                  "title": "async_request_failed"
                },
                "succeeded": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The id of the asynchronous request.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "client_request_id": {
                      "type": "string",
                      "maxLength": 128,
                      "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                      "title": "copilot_client_request_id"
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "ongoing",
                        "failed",
                        "succeeded"
                      ],
                      "title": "async_request_status"
                    },
                    "payload": {
                      "type": "object",
                      "description": "The generated transcript.",
                      "properties": {
                        "transcript": {
                          "type": "array",
                          "description": "Transcript items from the audio file.",
                          "items": {
                            "type": "object",
                            "description": "A portion of the transcribed consultation.",
                            "properties": {
                              "text": {
                                "type": "string",
                                "description": "The transcribed text.",
                                "example": "Also, I’m allergic to peanuts."
                              },
                              "speaker": {
                                "type": "string",
                                "enum": [
                                  "doctor",
                                  "patient",
                                  "unspecified"
                                ],
                                "description": "Who said the text in this transcript item.",
                                "example": "doctor",
                                "title": "copilot_speaker"
                              },
                              "start_offset_ms": {
                                "type": "integer",
                                "description": "Start time of this transcription item as the offset, in milliseconds, from the start of the audio file.",
                                "example": 65100
                              },
                              "end_offset_ms": {
                                "type": "integer",
                                "description": "End time of this transcription item as the offset, in milliseconds, from the start of the audio file. Equals the `start_time_ms` plus the duration of the related transcribed audio portion.",
                                "example": 69300
                              }
                            },
                            "required": [
                              "text",
                              "speaker",
                              "start_offset_ms",
                              "end_offset_ms"
                            ],
                            "title": "copilot_transcript_item"
                          },
                          "title": "copilot_transcript"
                        }
                      },
                      "required": [
                        "transcript"
                      ],
                      "title": "async_transcription_succeeded_payload"
                    }
                  },
                  "required": [
                    "id",
                    "status"
                  ],
                  "title": "async_transcription_succeeded"
                }
              }
            },
            "title": "async_transcription"
          }
        }
      }
    }
  }
}
```
